Subject: Re: linux-next: build failure after merge of the tip tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 18 Mar 2021 05:49:21 +1100

Hi Borislav,

On Wed, 17 Mar 2021 19:02:36 +0100 Borislav Petkov <[email-masked]> wrote:
>
> On Wed, Mar 17, 2021 at 09:22:15AM -0700, Ian Rogers wrote:
> > The <asm/emulate_prefix.h> path also needs fixing. With the following
> > I was able to build for arm64 and powerpc.  
> 
> Thanks, I've updated and added your Tested-by. I'll give sfr a chance to
> test and queue it tomorrow.
> 
> ---
> From d242b2639a23ed03d9aed94cf05b99af5343d4e9 Mon Sep 17 00:00:00 2001
> From: Borislav Petkov <[email-masked]>
> Date: Wed, 17 Mar 2021 11:33:04 +0100
> Subject: [PATCH] tools/insn: Restore the relative include paths for cross building
> 
> Building perf on ppc causes:
> 
>   In file included from util/intel-pt-decoder/intel-pt-insn-decoder.c:15:
>   util/intel-pt-decoder/../../../arch/x86/lib/insn.c:14:10: fatal error: asm/inat.h: No such file or directory
>      14 | #include <asm/inat.h> /*__ignore_sync_check__ */
>         |          ^~~~~~~~~~~~
> 
> Restore the relative include paths so that the compiler can find the
> headers.
> 
> Fixes: 93281c4a9657 ("x86/insn: Add an insn_decode() API")
> Reported-by: Ian Rogers <[email-masked]>
> Reported-by: Stephen Rothwell <[email-masked]>
> Signed-off-by: Borislav Petkov <[email-masked]>
> Tested-by: Ian Rogers <[email-masked]>
> ---
>  tools/arch/x86/lib/insn.c | 6 +++---
>  1 file changed, 3 insertions(+), 3 deletions(-)
> 
> diff --git a/tools/arch/x86/lib/insn.c b/tools/arch/x86/lib/insn.c
> index cd4dedde3265..c41f95815480 100644
> --- a/tools/arch/x86/lib/insn.c
> +++ b/tools/arch/x86/lib/insn.c
> @@ -11,13 +11,13 @@
>  #else
>  #include <string.h>
>  #endif
> -#include <asm/inat.h> /*__ignore_sync_check__ */
> -#include <asm/insn.h> /* __ignore_sync_check__ */
> +#include "../include/asm/inat.h" /* __ignore_sync_check__ */
> +#include "../include/asm/insn.h" /* __ignore_sync_check__ */
>  
>  #include <linux/errno.h>
>  #include <linux/kconfig.h>
>  
> -#include <asm/emulate_prefix.h> /* __ignore_sync_check__ */
> +#include "../include/asm/emulate_prefix.h" /* __ignore_sync_check__ */
>  
>  #define leXX_to_cpu(t, r)						\
>  ({									\
> -- 
> 2.29.2

That fixes the powerpc build for me, thanks.
-- 
Cheers,
Stephen Rothwell